<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".BottomNavigiationActivity"
    android:orientation="vertical">

    <!-- 图标和文本的 LinearLayout -->
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:layout_marginTop="30dp"
        android:gravity="center">

        <TextView
            android:layout_width="400dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="垃圾桶定位"
            android:textSize="27sp"
            android:textStyle="bold" />
    </LinearLayout>
    <LinearLayout
        android:layout_width="400dp"
        android:layout_height="400dp"
        android:layout_marginTop="10dp"
        android:gravity="center">

        <EditText
            android:id="@+id/edittext"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:hint="在此处插入地图" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:layout_marginTop="10dp"
        android:gravity="center">
        <TextView
            android:layout_width="140dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:textSize="20sp"
            android:textStyle="bold" />
        <Button
            android:id="@+id/Get_Current_Location"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取当前位置"
            android:gravity="center"
            />
    </LinearLayout>
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:layout_marginTop="10dp"
        android:gravity="center">

        <TextView
            android:layout_width="140dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:textSize="20sp"
            android:textStyle="bold"
            />
        <Button
            android:id="@+id/check_nearby_trash_cans"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="查看附近垃圾桶"
            />
    </LinearLayout>
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:layout_marginTop="10dp"
        android:gravity="center">

        <TextView
            android:layout_width="160dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:textSize="20sp"
            android:textStyle="bold" />
        <Button
            android:id="@+id/navigation"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="导航"
            />
    </LinearLayout>
</LinearLayout>